
/* top-image.css */

/* Slider and Top Image */

/* ... Content all ...
-----------------------------------------------*/
#topImage .mod_article {
	z-index: 0;
}
#topImage .ce_text {
	background-image: linear-gradient(to bottom, transparent, rgba(0 0 0 / .9));
	display: flex;
	gap: .75em;
	flex-direction: column;
	justify-content: flex-start;
	justify-content: flex-end;
	height: 100%;
}
#topImage figure {
	position: absolute;
	margin: 0;
	inset: 0;
  width: auto;
	z-index: -1;
}
#topImage figure img {
	height: 100%;
	width: 100%;
	object-fit: cover;
}
#topImage h2 {
	color: #fff;
	font-size: 2.4em;
	margin: 0;
	font-weight: bold;
	line-height: 1;
}
#topImage h2 ~ * {
  font-size: 1.2em;
}
#topImage p {
	color: #fff;
}
/* ... Content all ... END
-----------------------------------------------*/



/* ... Content Top Image ...
-----------------------------------------------*/
#topImage .mod_article > .ce_text {
	/* aspect-ratio: 3/1; */
	position: relative;
	padding: 1em var(--content-space-x) max(4%, 20px);
	box-sizing: border-box;
	height: 56vh;
	max-height: 300px;
	max-height: clamp(250px, 18.75vw + 175px, 400px);
	width: 100%;
}
#topImage .mod_article > .ce_text p > a {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 0;
	inset: 0;
	text-indent: 100%;
}
#topImage .mod_article > .ce_text p:has(a) {
	/* margin-top: calc(var(--paragraph-margin-bottom) * -1); */
}
/* ... Content Top Image ... END
-----------------------------------------------*/



/* ... Content Slider ...
-----------------------------------------------*/
#sliderStartpage {
  height: 56vh;
  max-height: 300px;
  max-height: clamp(250px, 18.75vw + 175px, 400px);
}
#sliderStartpage .rsts-slide a {
	display: block;
	height: 100%;
}
#sliderStartpage .ce_text {
	padding: 1em var(--content-space-x) max(3em, 54px);
}

/* ... Content Slider ... END
-----------------------------------------------*/



/* ... Skin dark Mod ...
-----------------------------------------------*/
.rsts-skin-dark.rsts-main {
  background-image: none;
  padding: 0;
  border: 0 none;
  border-radius: 0;
  box-shadow: none;
}
.rsts-skin-dark .rsts-nav {
	position: absolute;
	width: 100%;
	bottom: 0;
	margin-bottom: 0;
	left: 0;
	right: 0;
}
.rsts-skin-dark .rsts-nav ul {
	display: flex;
	margin: 0 !important;
	padding: 0 10px !important;
	border-top: 0 none;
	background-color: transparent;
	background-image: none;
	box-shadow: none;
	justify-content: center;
}
.rsts-skin-dark .rsts-nav li {
	display: block;
	margin-bottom: 12px;
}
.rsts-skin-dark .rsts-nav-bullets a {
	white-space: nowrap;
	margin: 0 8px;
	padding: 8px 0;
	border-radius: 50%;
	aspect-ratio: 1;
	height: auto;
}
.rsts-skin-dark :is(.rsts-prev, .rsts-next) {
	top: auto;
	bottom: 10px;
	margin: 0;
	filter: none;
	opacity: .6;
	z-index: 1;
}
.rsts-skin-dark .rsts-prev {
	left: var(--content-space-x);
}
.rsts-skin-dark .rsts-next {
	right: var(--content-space-x);
}
.rsts-skin-dark:hover :is(.rsts-prev, .rsts-next) {
  filter: none;
  opacity: .6;
}
.rsts-skin-dark:hover :is(.rsts-prev, .rsts-next):hover {
  filter: none;
  opacity: 1;
}
/* ... Skin dark Mod ... END
-----------------------------------------------*/



/* ... Skin liquid Mod ...
-----------------------------------------------*
.rsts-skin-liquid .rsts-caption {
  position: absolute;
  top: 20px;
  top: calc(100% - 44px);
  left: 20px;
  left: 10px;
  padding: 5px 10px;
  border-radius: 3px;
  color: #fff;
  text-shadow: 0 0 3px rgba(0, 0, 0, 0.6);
  background: rgba(255, 255, 255, 0.1);
  background-image: radial-gradient(rgba(255, 255, 255, 0), rgba(208, 224, 229, 0.2) 60%);
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.3), inset 0 2px 0 -1px rgba(255, 255, 255, 0.5), inset 0 -1px 0 rgba(0, 0, 0, 0.3), inset 0 0 1px rgba(255, 255, 255, 0.8);
  opacity: 0;
  transform: translate(0, -20px);
  transition: opacity 0.5s, transform 0.5s;
}
.rsts-skin-liquid .rsts-active .rsts-caption {
  opacity: 1;
  transform: translate(0, 0);
}
/* ... Skin liquid Mod ... END
-----------------------------------------------*/

